"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../icon/index.js");
const index$1 = require("../../../../../../@element-plus/icons-vue/dist/index.js");
const vue = require("vue");
const ExpandIcon = (props) => {
  const { expanded, expandable, onExpand, style, size, ariaLabel } = props;
  return vue.createVNode("button", vue.mergeProps({
    onClick: expandable ? () => onExpand(!expanded) : void 0,
    ariaLabel,
    ariaExpanded: expanded,
    class: props.class
  }, { "type": "button" }), [vue.createVNode(index.ElIcon, {
    "size": size,
    "style": style
  }, { default: () => [vue.createVNode(index$1.ArrowRight, null, null)] })]);
};
ExpandIcon.inheritAttrs = false;
exports.default = ExpandIcon;
